%define cpanname Font-TTF

Name:           perl-%{cpanname}
Version:        0.38.1
Release:        1%{?dist}
Summary:        Perl library for modifying TTF font files

Group:          Development/Libraries
License:        Artistic
URL:            http://search.cpan.org/dist/%{cpanname}/
Source0:        http://search.cpan.org/CPAN/authors/id/M/MH/MHOSKEN/%{cpanname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

# The current FE perl template proposes this BuildRequires
# The current FE packaging guidelines say it's forbidden
# Commenting out while a consensus is reached
#BuildRequires:  perl
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Perl module for TrueType font hacking. Supports reading, processing and writing
of the following tables: GDEF, GPOS, GSUB, LTSH, OS/2, PCLT, bsln, cmap, cvt,
fdsc, feat, fpgm, glyf, hdmx, head, hhea, hmtx, kern, loca, maxp, mort, name,
post, prep, prop, vhea, vmtx and the reading and writing of all other table
types.

In short, you can do almost anything with a standard TrueType font with this
module.


%prep
%setup -q -n %{cpanname}-0.38


%build
%{__perl} Makefile.PL INSTALLDIRS="vendor"
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README.TXT
%dir %{perl_vendorlib}/Font
%{perl_vendorlib}/Font/TTF
%{perl_vendorlib}/ttfmod.pl
%{_mandir}/man3/*.3*

# We really don't want to use this perl package in a Win32 env
# or poke in the windows registry to resolve fonts
# (upstream makefile needs to get smarter)
%exclude %{perl_vendorlib}/Font/TTF/Win32.pm


%changelog
* Sat Feb 18 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net> - 0.38.1-1
- new version with COPYING file as requested from upstream
  many thanks to Martin Hosken for quick action!

* Mon Feb 13 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net> - 0.37-4
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sun Feb 5 2006 Nicolas Mailhot <nicolas.mailhot (at) laposte.net>  - 0.37-3
- spec cleanups #2

* Sun Feb 5 2006 Nicolas Mailhot <nicolas.mailhot (at) laposte.net>  - 0.37-2
- spec cleanups

* Sat Feb 4 2006 Nicolas Mailhot <nicolas.mailhot (at) laposte.net>  - 0.37-1
- Initial release
